### Method

# Cogl Color init_from_4ub

#### Declaration [src]

    void
    cogl_color_init_from_4ub (
      CoglColor* color,
      uint8_t red,
      uint8_t green,
      uint8_t blue,
      uint8_t alpha
    )

#### Description [src]

Sets the values of the passed channels into a `CoglColor`.

#### Parameters

`red`

  Type: `uint8_t`

  Value of the red channel, between 0 and 255

`green`

  Type: `uint8_t`

  Value of the green channel, between 0 and 255

`blue`

  Type: `uint8_t`

  Value of the blue channel, between 0 and 255

`alpha`

  Type: `uint8_t`

  Value of the alpha channel, between 0 and 255